<?php
use \common\libs\MyLib;
?>
<script type="text/javascript" language="javascript" src="/js/jquery-1.8.3.js"></script>
<script type="text/javascript" language="javascript" src="/js/ajax.js"></script>
<script type="text/javascript" language="javascript" src="/js/func.js"></script>
<script type="text/javascript" language="javascript">
    //详情
    function info(id,index) {
        var params = $('#searchForm').serialize();
        window.location.href = '/car/info?id=' + id + '&type=<?=$type?>' + '&next_index=' + index + '&back_params=' + encodeURIComponent(params);
    }

    $(function(){
        $("#search-btn").click(function(){
            $('#page').val(1);
            var params = $('#searchForm').serialize();
            window.location.href = "/filtrationt/first?" + params;
        });
        $('.invalid-btn').click(function(){
            if(confirm('是否确认收回?')) {
                var params = $('#listForm').serialize();
                $.post('/filtrationt/invalid-a',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#all-move-btn').click(function(){
            if(confirm('是否确认恢复操作?')) {
                var params = $('#searchForm').serialize();
                $.post('/filtrationt/invalid-all-a',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#assign-other-btn').click(function () {
            if(confirm('是否确认平移?')) {
                var params = $('#listForm').serialize();
                var user_id = $('#user_id').val();
                params = params + '&user_id=' + user_id;
                $.post('/filtrationt/assign-other',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#all').click(function(){
            if($(this).prop('checked')==true) {
                $('input:checkbox').each(function() {
                    $(this).prop('checked', true);
                });
            } else {
                $('input:checkbox').each(function () {
                    $(this).prop('checked',false);
                });
            }
        });
    });
</script>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="table">
    <form id="searchForm">
        <input type="hidden" id="page" name="page" value="<?=$page?>">
        <tr>
            <td class="td_bg">
                车主：<input name="car_man" type="text" value="<?=$car_man?>" style="width: 100px;">
                电话：<input name="phone" type="text" value="<?=$phone?>" style="width: 100px;">
                车牌：<input name="car_no" type="text" value="<?=$car_no?>" style="width: 100px;">
                初登日期：从<input class="act_date" name="register_begin" type="text" value="<?=$register_begin?>" onclick="WdatePicker()">至<input class="act_date" name="register_end" type="text" value="<?=$register_end?>" onclick="WdatePicker()">截止
<!--                保险日期：从<input class="act_date" name="insurer1_begin" type="text" value="--><?//=$insurer1_begin?><!--" onclick="WdatePicker()">至<input class="act_date" name="insurer1_end" type="text" value="--><?//=$insurer1_end?><!--" onclick="WdatePicker()">截止-->
                保险日期：
                <input name="insurer1_month" class="day_date"  type="text" value="<?=$insurer1_month?>" style="width:30px;" placeholder="月份">月
                <input name="insurer1_day" class="day_date"  type="text" value="<?=$insurer1_day?>" style="width:30px;" placeholder="天数">日
                至
                <input name="insurer1_month1" class="day_date"  type="text" value="<?=$insurer1_month1?>" style="width:30px;" placeholder="月份">月
                <input name="insurer1_day1" class="day_date"  type="text" value="<?=$insurer1_day1?>" style="width:30px;" placeholder="天数">日
                <?php
                if($this->context->my->role_id != 5) {
                    ?>
                    工号：<input name="username" type="text" value="<?=$username?>" style="width: 100px;">
                    <?php
                }
                ?>
                排序：<select name="sort_key">
                    <option value="filtration_t.pdate" <?=$sort_key=='filtration_t.pdate'?'selected':''?>>预约时间</option>
                    <option value="car_t.register_date" <?=$sort_key=='car_t.register_date'?'selected':''?>>初登时间</option>
                    <option value="car_t.insurer1_date" <?=$sort_key=='car_t.insurer1_date'?'selected':''?>>保险时间</option>
                </select>
                <select name="sort_value">
                    <option value="ASC" <?=$sort_value=='ASC'?'selected':''?>>顺序</option>
                    <option value="DESC" <?=$sort_value=='DESC'?'selected':''?>>倒序</option>
                </select>
                <input type="button" class="act_btn" id="search-btn" name="search-btn" value="搜索">
            </td>
        </tr>
        <tr>
            <td class="td_bg">
                <?php
                if($this->context->my->role_id != 5) {
                    ?>
                    <input type=button class="ACT_btn invalid-btn" name="invalid-btn" value=" 回收数据 "/>
                    <input type="button" class="act_btn" id="all-move-btn" name="all-move-btn" value="批量回收">

                    <?php
                }
                ?>
            </td>
        </tr>
    </form>
</table>
<table width="98%" border="0" align="center" cellpadding="2" cellspacing="1" class="table">
    <tr>
        <td width="24" align="center" class="bg_tr"><?php
            if($this->context->my->role_id==5)
                echo '序号';
            else
                echo '<input type="checkbox" id="all">';
            ?></td>
        <td width="50" align="center" class="bg_tr">预约日期</td>
        <td width="50" align="center" class="bg_tr">预约时间</td>
        <td width="70" align="center" class="bg_tr">车牌号</td>
        <td width="120" align="center" class="bg_tr">车主</td>
        <td width="70" align="center" class="bg_tr">初登日期</td>
        <td width="100" align="center" class="bg_tr" nowrap>商业起保日期</td>
        <td width="100" align="center" class="bg_tr" nowrap>交强起保日期</td>
        <td width="200" align="center" class="bg_tr">预约备注</td>
        <td width="30" align="center" class="bg_tr">业务员</td>

    </tr>
    <form id="listForm">
        <?php
        foreach($items as $index => $item) {
            $start_index = ($page-1) * 20 + $index;
            $car_info = $item->car;
            ?>
            <tr onMouseOver=overColor(this) onMouseOut=outColor(this)>
                <td align="center" class="td_bg"nowrap ><?php
                    if($this->context->my->role_id == 5)
                        echo $start_index + 1;
                    else
                        echo '<input type="checkbox" name="ids[]" value="'.$item->car_id.'">';
                    ?></td>
                <td align="center" class="td_bg" nowrap><?=$item->pdate?></td>
                <td align="center" class="td_bg" nowrap><?=$item->ptime?></td>
                <td class="td_bg" nowrap><?=$car_info->car_no?></td>
                <td class="td_bg" nowrap><?=$car_info->car_man?></td>
                <td class="td_bg" nowrap><?=$car_info->register_date?></td>
                <td class="td_bg" nowrap><?=$car_info->insurer1_date?></td>
                <td class="td_bg" nowrap><?=$car_info->insurer2_date?></td>
                <td class="td_bg" ><?=MyLib::substr_cut($item->remark,40)?></td>
                <td class="td_bg" nowrap><?=$item->user?$item->user->getShowName():''?></td>

            </tr>
            <?php
        }
        ?>
    </form>
    <tr>
        <td height="25" colspan="11" align="center" class="td_bg"><?=$page_info?></td>
    </tr>
</table>
